# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /home/ktietz/src/aggregate/cytoolz-feedstock/recipe, last modified Tue Feb  1 13:45:44 2022
# ------------------------------------------------

package:
  name: cytoolz
  version: 0.11.0
source:
  sha256: c64f3590c3eb40e1548f0d3c6b2ccde70493d0b8dc6cc7f9f3fec0bb3dcd4222
  url: https://pypi.io/packages/source/c/cytoolz/cytoolz-0.11.0.tar.gz
build:
  number: '0'
  script: /home/ktietz/ci_310/cytoolz_1643729875490/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv --global-option=--with-cython
  string: py310h2f4d8fa_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.36.1 h0d3074b_3
    - binutils_linux-aarch64 2.36.1 h1234567_41
    - gcc_impl_linux-aarch64 10.2.0 h1234567_51
    - gcc_linux-aarch64 10.2.0 h1234567_41
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_51
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2021.10.26 hd43f75c_2
    - certifi 2021.5.30 py310hd43f75c_0
    - cython 0.29.25 py310h2f4d8fa_0
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - libuuid 1.0.3 hfd63f10_2
    - ncurses 6.3 h2f4d8fa_2
    - openssl 1.1.1m h2f4d8fa_0
    - pip 21.2.4 py310hd43f75c_0
    - python 3.10.0 hc137634_4
    - readline 8.1.2 h2f4d8fa_1
    - setuptools 58.0.4 py310hd43f75c_0
    - sqlite 3.37.0 h6632b73_0
    - tk 8.6.11 h241ca14_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 hfd63f10_1
    - zlib 1.2.11 hfd63f10_5
  run:
    - libgcc-ng >=10.2.0
    - python >=3.10,<3.11.0a0
    - toolz >=0.10.0
test:
  commands:
    - nosetests --with-doctest cytoolz
  imports:
    - cytoolz
    - cytoolz.curried
  requires:
    - nose
    - toolz 0.10.0.*
about:
  description: 'CyToolz is the Cython implementation of the toolz package, which provides

    high performance utility functions for iterables, functions, and

    dictionaries.

    '
  dev_url: https://github.com/pytoolz/cytoolz
  doc_source_url: https://github.com/pytoolz/cytoolz/blob/master/README.rst
  doc_url: https://pypi.python.org/pypi/cytoolz
  home: https://github.com/pytoolz/cytoolz
  license: BSD-3-Clause
  license_file: LICENSE.txt
  summary: Cython implementation of Toolz. High performance functional utilities
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - eriknw
    - jakirkham
    - jcrist
    - mrocklin
